"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styles_1 = tslib_1.__importDefault(require("../styles"));
var utils_1 = require("../utils");
var cart = {
    cart: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            overflow: 'hidden'
        }
    },
    cart__container: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            overflow: 'hidden',
            position: 'relative',
            flexGrow: 1,
            paddingTop: utils_1.theme.spacing.padding.medium,
            paddingLeft: utils_1.theme.spacing.padding.medium,
            paddingRight: utils_1.theme.spacing.padding.medium
        }
    },
    cart__overlay: {
        classes: '',
        props: {},
        style: {
            backgroundColor: utils_1.theme.colors.text.primary
        }
    },
    cart__ticket: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            backgroundColor: utils_1.theme.colors.background.primary,
            borderTopLeftRadius: utils_1.theme.spacing.borderRadius.large,
            borderTopRightRadius: utils_1.theme.spacing.borderRadius.large,
            boxShadow: utils_1.theme.colors.boxShadow.primary,
            flexGrow: 1,
            overflow: 'hidden',
            position: 'relative',
            zIndex: 2
        }
    },
    cart__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            backgroundColor: utils_1.theme.colors.accent.primary,
            display: 'flex',
            flexBasis: 80,
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'space-between',
            paddingLeft: utils_1.theme.spacing.padding.medium,
            paddingRight: utils_1.theme.spacing.padding.medium
        }
    },
    cart__title: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeading), { fontSize: utils_1.theme.fontSizes.xlarge })
    },
    cart__total: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeading), { fontSize: utils_1.theme.fontSizes.xlarge })
    },
    cart__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            flexShrink: 1,
            overflow: 'hidden'
        }
    },
    cart__contentContainer: {
        classes: 'hide-scrollbar',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            flexShrink: 1,
            overflow: 'scroll',
            padding: utils_1.theme.spacing.padding.medium
        }
    },
    cart__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 0,
            flexShrink: 0,
            padding: utils_1.theme.spacing.padding.medium
        }
    },
    cart__footerContainer: {
        classes: '',
        props: {},
        style: {
            flexDirection: 'row',
            gap: utils_1.theme.spacing.padding.medium,
            justifyContent: 'space-between'
        }
    },
    cart__checkout: {
        classes: '',
        props: { text: 'Finish & Pay' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonPrimary), { flexBasis: 1, flexGrow: 1, borderRadius: 64, fontSize: utils_1.theme.fontSizes.xlarge, paddingBottom: 20, paddingLeft: 48, paddingRight: 48, paddingTop: 20 })
    },
    cart__checkoutDisabled: {
        classes: '',
        props: { text: 'Finish & Pay' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonPrimary), { flexBasis: 1, flexGrow: 1, borderRadius: 64, fontSize: utils_1.theme.fontSizes.xlarge, opacity: 0.5, paddingBottom: 20, paddingLeft: 48, paddingRight: 48, paddingTop: 20 })
    },
    cart__back: {
        classes: 'buttonPrimary',
        props: { text: 'Back To Menu' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonSecondary), { flexBasis: 1, flexGrow: 1, borderRadius: 64, fontSize: utils_1.theme.fontSizes.xlarge, paddingBottom: 20, paddingLeft: 48, paddingRight: 48, paddingTop: 20 })
    }
};
exports.default = cart;
