"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styles_1 = tslib_1.__importDefault(require("../styles"));
var utils_1 = require("../utils");
var cartItem = {
    cartItem: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexDirection: 'row',
            gap: utils_1.theme.spacing.padding.medium,
            justifyContent: 'space-between',
            paddingBottom: utils_1.theme.spacing.padding.medium,
            paddingTop: utils_1.theme.spacing.padding.medium,
            borderStyle: 'solid',
            borderBottomColor: utils_1.theme.colors.border.secondary,
            borderBottomWidth: 1,
            borderLeftWidth: 0,
            borderRightWidth: 0,
            borderTopWidth: 0
        }
    },
    cartItemLast: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexDirection: 'row',
            gap: utils_1.theme.spacing.padding.medium,
            justifyContent: 'space-between',
            paddingBottom: utils_1.theme.spacing.padding.medium,
            paddingTop: utils_1.theme.spacing.padding.medium
        }
    },
    cartItem__image: {
        classes: '',
        props: {},
        style: {
            aspectRatio: 1.5,
            backgroundPosition: 'center',
            backgroundSize: 'cover',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 0
        }
    },
    cartItem__container: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            flexShrink: 1
        }
    },
    cartItem__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'flex-start',
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            gap: 10,
            justifyContent: 'space-between'
        }
    },
    cartItem__title: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeading), { fontSize: utils_1.theme.fontSizes.medium })
    },
    cartItem__details: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            gap: 10
        }
    },
    cartItem__price: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeading), { flexGrow: 0, flexShrink: 0, fontSize: utils_1.theme.fontSizes.small })
    },
    cartItem__calories: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textBody), { flexGrow: 0, flexShrink: 0, fontSize: utils_1.theme.fontSizes.small })
    },
    cartItem__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexDirection: 'row',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'space-between',
            paddingBottom: utils_1.theme.spacing.padding.small,
            paddingTop: utils_1.theme.spacing.padding.small
        }
    },
    cartItem__description: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textBody), { fontSize: utils_1.theme.fontSizes.xxsmall, flexBasis: 480, flexGrow: 1, flexShrink: 1, maxWidth: 480 })
    },
    cartItem__quantityContainer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            backgroundColor: utils_1.theme.colors.text.primary,
            borderRadius: 100,
            flexBasis: 32,
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'center',
            height: 32,
            width: 32
        }
    },
    cartItem__quantity: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeading), { color: utils_1.theme.colors.background.primary, fontSize: utils_1.theme.fontSizes.xsmall })
    },
    cartItem__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            gap: 10,
            justifyContent: 'space-between'
        }
    },
    cartItem__footerButtons: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            gap: 15,
            justifyContent: 'flex-end'
        }
    },
    cartItem__edit: {
        classes: '',
        props: { text: 'Edit' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonSecondary), { fontSize: utils_1.theme.fontSizes.small, paddingBottom: 8, paddingTop: 8 })
    },
    cartItem__remove: {
        classes: '',
        props: { text: 'Edit' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonDelete), { fontSize: utils_1.theme.fontSizes.small, paddingBottom: 8, paddingTop: 8 })
    }
};
exports.default = cartItem;
