"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styles_1 = tslib_1.__importDefault(require("../styles"));
var utils_1 = require("../utils");
var cartUpsellItem = {
    cartUpsellItem: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1
        }
    },
    cartUpsellItem__container: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            justifyContent: 'space-between'
        }
    },
    cartUpsellItem__image: {
        classes: '',
        props: {},
        style: {
            aspectRatio: 1.5,
            backgroundPosition: 'center',
            backgroundSize: 'cover',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 0
        }
    },
    cartUpsellItem__info: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            flexShrink: 1,
            padding: utils_1.theme.spacing.padding.medium
        }
    },
    cartUpsellItem__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'flex-start',
            // flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            gap: 10,
            justifyContent: 'space-between'
        }
    },
    cartUpsellItem__title: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeading), { fontSize: utils_1.theme.fontSizes.medium })
    },
    cartUpsellItem__details: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            gap: 10
        }
    },
    cartUpsellItem__price: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeading), { flexGrow: 0, flexShrink: 0, fontSize: utils_1.theme.fontSizes.small })
    },
    cartUpsellItem__calories: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textBody), { flexGrow: 0, flexShrink: 0, fontSize: utils_1.theme.fontSizes.small })
    },
    cartUpsellItem__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexDirection: 'row',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'space-between',
            paddingBottom: utils_1.theme.spacing.padding.small,
            paddingTop: utils_1.theme.spacing.padding.small
        }
    },
    cartUpsellItem__description: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textBody), { fontSize: utils_1.theme.fontSizes.xxsmall, flexBasis: 480, flexGrow: 1, flexShrink: 1, maxWidth: 480 })
    },
    cartUpsellItem__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            gap: 10,
            justifyContent: 'space-between'
        }
    },
    cartUpsellItem__footerButtons: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            gap: 15,
            justifyContent: 'flex-end'
        }
    },
    cartUpsellItem__add: {
        classes: '',
        props: { text: 'Edit' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonPrimary), { fontSize: utils_1.theme.fontSizes.small, paddingBottom: 8, paddingTop: 8 })
    }
};
exports.default = cartUpsellItem;
