"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styles_1 = tslib_1.__importDefault(require("../styles"));
var utils_1 = require("../utils");
var cartUpsells = {
    cartUpsells: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            backgroundColor: utils_1.theme.colors.background.primary,
            borderColor: utils_1.theme.colors.border.secondary,
            borderStyle: 'solid',
            borderBottomWidth: 0,
            borderLeftWidth: 0,
            borderRightWidth: 0,
            borderTopWidth: utils_1.theme.spacing.borderWidth.medium,
            flexGrow: 0,
            flexShrink: 0,
            overflow: 'hidden',
            paddingBottom: utils_1.theme.spacing.padding.large,
            paddingTop: utils_1.theme.spacing.padding.large
        }
    },
    cartUpsells__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'space-between',
            paddingBottom: utils_1.theme.spacing.padding.small,
            paddingLeft: utils_1.theme.spacing.padding.medium,
            paddingRight: utils_1.theme.spacing.padding.medium,
            textAlign: 'center'
        }
    },
    cartUpsells__title: {
        classes: '',
        props: {
            as: 'h1',
            text: 'You Might Also Like'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeadline), { fontSize: utils_1.theme.fontSizes.large })
    },
    cartUpsells__items: {
        classes: 'hide-scrollbar',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            justifyContent: 'center',
            overflow: 'scroll'
        }
    },
    cartUpsells__itemsContainer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexDirection: 'row',
            flexGrow: 1,
            flexShrink: 0,
            // gap: theme.spacing.padding.medium,
            justifyContent: 'flex-start',
            padding: utils_1.theme.spacing.padding.medium
        }
    },
    cartUpsells__item: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 320,
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            paddingRight: utils_1.theme.spacing.padding.medium
        }
    },
    cartUpsells__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'center',
            textAlign: 'center'
        }
    },
    cartUpsells__cancel: {
        classes: '',
        props: { text: 'Add To Order' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonPrimary), { flexBasis: 400, flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: utils_1.theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    }
};
exports.default = cartUpsells;
