"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styles_1 = tslib_1.__importDefault(require("../styles"));
var utils_1 = require("../utils");
var category = {
    category: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'flex-start',
            overflow: 'hidden',
            paddingBottom: 100
        }
    },
    category__header: {
        classes: '',
        props: {},
        style: {
            flexBasis: 'auto',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'center',
            marginTop: 30,
            marginBottom: 30,
            paddingLeft: utils_1.theme.spacing.padding.medium,
            paddingRight: utils_1.theme.spacing.padding.medium
        }
    },
    category__title: {
        classes: '',
        props: {
            as: 'h1'
        },
        style: tslib_1.__assign({}, styles_1.default.textHeadline)
    },
    category__subtitle: {
        classes: '',
        props: {
            as: 'p'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textBody), { fontSize: 20, marginTop: 5 })
    },
    category__content: {
        classes: 'hide-scrollbar',
        props: {},
        style: {
            alignItems: 'stretch',
            overflow: 'scroll',
            paddingLeft: 10,
            paddingRight: 10
        }
    },
    category__items: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexDirection: 'row',
            flexGrow: 1,
            flexShrink: 1,
            flexWrap: 'wrap',
            justifyContent: 'flex-start',
            paddingBottom: utils_1.theme.spacing.padding.medium
        }
    },
    category__childHeader: {
        classes: '',
        props: {},
        style: {
            flexBasis: 'auto',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'center',
            marginTop: 20,
            marginBottom: 15,
            paddingLeft: 10,
            paddingRight: 10
        }
    },
    category__childTitle: {
        classes: '',
        props: {
            as: 'h2'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeadline), { fontSize: 36 })
    },
    category__childSubtitle: {
        classes: '',
        props: {
            as: 'p'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textBody), { fontSize: 16, marginTop: 5 })
    }
};
exports.default = category;
