"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styles_1 = tslib_1.__importDefault(require("../styles"));
var utils_1 = require("../utils");
var checkoutConfirmation = {
    checkoutConfirmation: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            gap: utils_1.theme.spacing.padding.large,
            justifyContent: 'center',
            overflow: 'hidden',
            paddingBottom: 100,
            paddingLeft: utils_1.theme.spacing.padding.large,
            paddingRight: utils_1.theme.spacing.padding.large,
            paddingTop: 100
        }
    },
    checkoutConfirmation__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 1,
            justifyContent: 'center',
            textAlign: 'center'
        }
    },
    checkoutConfirmation__title: {
        classes: '',
        props: {
            as: 'h1',
            text: 'Thanks For Your Order!'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeadline), { fontSize: utils_1.theme.fontSizes.xxxlarge })
    },
    checkoutConfirmation__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'center',
            overflow: 'hidden'
        }
    },
    checkoutConfirmation__form: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            gap: utils_1.theme.spacing.padding.large,
            overflow: 'hidden',
            width: 800
        }
    },
    checkoutConfirmation__info: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 100,
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'flex-start',
            textAlign: 'center',
            paddingBottom: utils_1.theme.spacing.padding.large
        }
    },
    checkoutConfirmation__infoTitle: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textBody), { fontSize: utils_1.theme.fontSizes.xlarge })
    },
    checkoutConfirmation__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 1,
            flexDirection: 'row',
            gap: 100,
            justifyContent: 'center'
        }
    },
    checkoutConfirmation__print: {
        classes: '',
        props: { text: 'Customize' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonSecondary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: utils_1.theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    },
    checkoutConfirmation__proceed: {
        classes: '',
        props: { text: 'Add To Order' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonPrimary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: utils_1.theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    }
};
exports.default = checkoutConfirmation;
