"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styles_1 = tslib_1.__importDefault(require("../styles"));
var utils_1 = require("../utils");
var checkoutDetails = {
    checkoutDetails: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'center',
            paddingBottom: 100,
            paddingLeft: utils_1.theme.spacing.padding.large,
            paddingRight: utils_1.theme.spacing.padding.large,
            paddingTop: 100
        }
    },
    checkoutDetails__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 150,
            flexGrow: 0,
            flexShrink: 1,
            justifyContent: 'center',
            textAlign: 'center'
        }
    },
    checkoutDetails__title: {
        classes: '',
        props: {
            as: 'h1',
            text: 'Complete Your Order'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeadline), { fontSize: utils_1.theme.fontSizes.xxxlarge })
    },
    checkoutDetails__signIn: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            marginBottom: utils_1.theme.spacing.padding.medium
        }
    },
    checkoutDetails__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'center'
        }
    },
    checkoutDetails__form: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            gap: utils_1.theme.spacing.padding.large,
            width: 640
        }
    },
    checkoutDetails__guest: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            padding: utils_1.theme.spacing.padding.large,
            gap: utils_1.theme.spacing.padding.large
        }
    },
    checkoutDetails__guestHeader: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch'
        }
    },
    checkoutDetails__guestTitle: {
        classes: '',
        props: {
            text: 'Want to be notified?'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeading), { fontSize: utils_1.theme.fontSizes.xlarge })
    },
    checkoutDetails__guestContent: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            gap: utils_1.theme.spacing.padding.large,
            justifyContent: 'space-between'
        }
    },
    checkoutDetails__prep: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            padding: utils_1.theme.spacing.padding.large,
            gap: utils_1.theme.spacing.padding.large
        }
    },
    checkoutDetails__prepHeader: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch'
        }
    },
    checkoutDetails__prepTitle: {
        classes: '',
        props: {
            text: 'Dine In or Take Out?'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeading), { fontSize: utils_1.theme.fontSizes.xlarge })
    },
    checkoutDetails__prepContent: {
        classes: '',
        props: {},
        style: {
            flexDirection: 'row',
            gap: utils_1.theme.spacing.padding.large
        }
    },
    checkoutDetails__prepType: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            backgroundColor: utils_1.theme.colors.background.secondary,
            borderRadius: utils_1.theme.spacing.borderRadius.medium,
            display: 'flex',
            flexBasis: 1,
            flexDirection: 'column',
            flexGrow: 1,
            flexShrink: 1,
            gap: utils_1.theme.spacing.padding.large,
            padding: utils_1.theme.spacing.padding.medium
        }
    },
    checkoutDetails__prepTypeSelected: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            backgroundColor: utils_1.theme.colors.accent.primary,
            borderRadius: utils_1.theme.spacing.borderRadius.medium,
            display: 'flex',
            flexBasis: 1,
            flexDirection: 'column',
            flexGrow: 1,
            flexShrink: 1,
            gap: utils_1.theme.spacing.padding.large,
            padding: utils_1.theme.spacing.padding.medium
        }
    },
    checkoutDetails__prepTitleEatHere: {
        classes: '',
        props: {
            text: 'Dine In'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeading), { fontSize: utils_1.theme.fontSizes.large })
    },
    checkoutDetails__prepTitleTakeOut: {
        classes: '',
        props: {
            text: 'Take Out'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeading), { fontSize: utils_1.theme.fontSizes.large })
    },
    checkoutDetails__tip: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            padding: utils_1.theme.spacing.padding.large,
            gap: utils_1.theme.spacing.padding.large
        }
    },
    checkoutDetails__tipHeader: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch'
        }
    },
    checkoutDetails__tipTitle: {
        classes: '',
        props: {
            text: 'Tip'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeading), { fontSize: utils_1.theme.fontSizes.xlarge })
    },
    checkoutDetails__tipContent: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            gap: utils_1.theme.spacing.padding.large
        }
    },
    checkoutDetails__tipButtons: {
        classes: '',
        props: {},
        style: {
            flexDirection: 'row',
            gap: utils_1.theme.spacing.padding.medium,
            justifyContent: 'space-between'
        }
    },
    checkoutDetails__tipButton: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonSecondary), { flexBasis: 1, flexGrow: 1, flexShrink: 1, paddingLeft: 5, paddingRight: 5, fontSize: utils_1.theme.fontSizes.small })
    },
    checkoutDetails__tipButtonSelected: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonPrimary), { flexBasis: 1, flexGrow: 1, flexShrink: 1, paddingLeft: 5, paddingRight: 5, fontSize: utils_1.theme.fontSizes.small })
    },
    checkoutDetails__tipFooter: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch'
        }
    },
    checkoutDetails__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 1,
            flexDirection: 'row',
            gap: 100,
            justifyContent: 'center'
        }
    },
    checkoutDetails__back: {
        classes: '',
        props: { text: 'Customize' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonSecondary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: utils_1.theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    },
    checkoutDetails__proceed: {
        classes: '',
        props: { text: 'Add To Order' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonPrimary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: utils_1.theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    }
};
exports.default = checkoutDetails;
