"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styles_1 = tslib_1.__importDefault(require("../styles"));
var utils_1 = require("../utils");
var checkoutSummary = {
    checkoutSummary: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            gap: utils_1.theme.spacing.padding.large,
            justifyContent: 'center',
            overflow: 'hidden',
            paddingBottom: 100,
            paddingLeft: utils_1.theme.spacing.padding.large,
            paddingRight: utils_1.theme.spacing.padding.large,
            paddingTop: 100
        }
    },
    checkoutSummary__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 1,
            justifyContent: 'center',
            textAlign: 'center'
        }
    },
    checkoutSummary__title: {
        classes: '',
        props: {
            as: 'h1',
            text: 'Review & Pay'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeadline), { fontSize: utils_1.theme.fontSizes.xxxlarge })
    },
    checkoutSummary__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'center',
            overflow: 'hidden'
        }
    },
    checkoutSummary__form: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            gap: utils_1.theme.spacing.padding.large,
            overflow: 'hidden',
            width: 800
        }
    },
    checkoutSummary__details: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 0,
            flexShrink: 0
        }
    },
    checkoutSummary__detailsContainer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 0,
            flexShrink: 0,
            padding: utils_1.theme.spacing.padding.large
        }
    },
    checkoutSummary__detailsGuest: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            borderColor: utils_1.theme.colors.border.primary,
            borderStyle: 'solid',
            borderBottomWidth: utils_1.theme.spacing.borderWidth.medium,
            borderLeftWidth: 0,
            borderRightWidth: 0,
            borderTopWidth: 0,
            flexBasis: 'auto',
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'space-between',
            paddingBottom: utils_1.theme.spacing.padding.large,
            marginBottom: utils_1.theme.spacing.padding.large
        }
    },
    checkoutSummary__detailsPrep: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 'auto',
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'space-between'
        }
    },
    checkTotals__detailsText: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeadline), { fontSize: utils_1.theme.fontSizes.xlarge })
    },
    checkoutSummary__detailsIcon: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            backgroundColor: utils_1.theme.colors.accent.primary,
            borderRadius: utils_1.theme.spacing.borderRadius.small,
            width: 80,
            height: 80,
            padding: 5
        }
    },
    checkoutSummary__cart: {
        classes: 'hide-scrollbar',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            flexShrink: 1,
            overflow: 'scroll',
            padding: utils_1.theme.spacing.padding.medium
        }
    },
    checkoutSummary__totals: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 0,
            flexShrink: 0
        }
    },
    checkoutSummary__totalsContainer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            padding: utils_1.theme.spacing.padding.large
        }
    },
    checkoutSummary__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 1,
            flexDirection: 'row',
            gap: 100,
            justifyContent: 'center'
        }
    },
    checkoutSummary__back: {
        classes: '',
        props: { text: 'Customize' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonSecondary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: utils_1.theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    },
    checkoutSummary__proceed: {
        classes: '',
        props: { text: 'Add To Order' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonPrimary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: utils_1.theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    }
};
exports.default = checkoutSummary;
