"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styles_1 = tslib_1.__importDefault(require("../styles"));
var theme_1 = require("../utils/theme");
var menuCategory = {
    menuCategory: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: '33.33333%',
            padding: theme_1.theme.spacing.padding.small
        }
    },
    menuCategory__button: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            backgroundColor: theme_1.theme.colors.card.primary,
            borderRadius: theme_1.theme.spacing.borderRadius.small,
            boxShadow: theme_1.theme.colors.boxShadow.primary,
            display: 'flex',
            flexDirection: 'column',
            flexGrow: 1,
            overflow: 'hidden'
        }
    },
    menuCategory__image: {
        classes: '',
        props: {},
        style: {
            aspectRatio: 1.5,
            backgroundPosition: 'center',
            backgroundSize: 'cover'
        }
    },
    menuCategory__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            padding: 15,
            textAlign: 'left'
        }
    },
    menuCategory__title: {
        classes: '',
        props: {
            as: 'h2'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeading), { fontSize: theme_1.theme.fontSizes.large })
    },
    menuCategory__subtitle: {
        classes: '',
        props: {
            as: 'p'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textBody), { fontSize: theme_1.theme.fontSizes.xsmall, marginTop: 5 })
    }
};
exports.default = menuCategory;
