"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styles_1 = tslib_1.__importDefault(require("../styles"));
var utils_1 = require("../utils");
var pointsReward = {
    pointsReward: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            display: 'flex',
            flexGrow: 1,
            flexShrink: 1,
            textAlign: 'left'
        }
    },
    pointsReward__disabled: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            display: 'flex',
            flexGrow: 1,
            flexShrink: 1,
            opacity: 0.5,
            textAlign: 'left'
        }
    },
    pointsReward__container: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexDirection: 'row',
            flexGrow: 1,
            justifyContent: 'space-between',
            overflow: 'hidden',
            position: 'relative'
        }
    },
    pointsReward__applied: {
        classes: '',
        props: {},
        style: {
            position: 'absolute',
            right: 10,
            top: 10,
            zIndex: 2
        }
    },
    pointsReward__image: {
        classes: '',
        props: {},
        style: {
            aspectRatio: 1.5,
            backgroundColor: utils_1.theme.colors.background.tertiary,
            backgroundPosition: 'center',
            backgroundSize: 'cover',
            flexBasis: 160,
            flexGrow: 0,
            flexShrink: 0
        }
    },
    pointsReward__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            flexShrink: 1,
            // overflow: 'hidden',
            padding: utils_1.theme.spacing.padding.medium
        }
    },
    pointsReward__info: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            flexShrink: 1,
            gap: utils_1.theme.spacing.padding.small
            // overflow: 'hidden'
        }
    },
    pointsReward__infoHeader: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            justifyContent: 'space-between'
        }
    },
    pointsReward__name: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeading), { fontSize: utils_1.theme.fontSizes.medium })
    },
    pointsReward__price: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textBody), { fontSize: utils_1.theme.fontSizes.medium, minWidth: 80, textAlign: 'right' })
    },
    pointsReward__infoContent: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            justifyContent: 'space-between'
        }
    },
    pointsReward__pointsPer: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textBody), { fontSize: utils_1.theme.fontSizes.xsmall })
    },
    pointsReward__quantityPrice: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            gap: utils_1.theme.spacing.padding.small,
            justifyContent: 'space-between'
        }
    },
    pointsReward__quantityContainer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            backgroundColor: utils_1.theme.colors.text.primary,
            borderRadius: 100,
            flexBasis: 32,
            justifyContent: 'center',
            height: 32,
            width: 32
        }
    },
    pointsReward__quantity: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeading), { color: utils_1.theme.colors.background.primary, fontSize: utils_1.theme.fontSizes.xsmall })
    },
    pointsReward__infoFooter: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            justifyContent: 'space-between'
        }
    },
    pointsReward__pointsApplied: {
        classes: '',
        props: {},
        style: {
            fontSize: utils_1.theme.fontSizes.xsmall
        }
    },
    pointsReward__pointsMessage: {
        classes: '',
        props: {},
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textBody), { fontSize: utils_1.theme.fontSizes.xsmall })
    }
};
exports.default = pointsReward;
