import { __assign } from "tslib";
import styles from '../styles';
import { theme } from '../utils';
var cartItem = {
    cartItem: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexDirection: 'row',
            gap: theme.spacing.padding.medium,
            justifyContent: 'space-between',
            paddingBottom: theme.spacing.padding.medium,
            paddingTop: theme.spacing.padding.medium,
            borderStyle: 'solid',
            borderBottomColor: theme.colors.border.secondary,
            borderBottomWidth: 1,
            borderLeftWidth: 0,
            borderRightWidth: 0,
            borderTopWidth: 0
        }
    },
    cartItemLast: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexDirection: 'row',
            gap: theme.spacing.padding.medium,
            justifyContent: 'space-between',
            paddingBottom: theme.spacing.padding.medium,
            paddingTop: theme.spacing.padding.medium
        }
    },
    cartItem__image: {
        classes: '',
        props: {},
        style: {
            aspectRatio: 1.5,
            backgroundPosition: 'center',
            backgroundSize: 'cover',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 0
        }
    },
    cartItem__container: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            flexShrink: 1
        }
    },
    cartItem__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'flex-start',
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            gap: 10,
            justifyContent: 'space-between'
        }
    },
    cartItem__title: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textHeading), { fontSize: theme.fontSizes.medium })
    },
    cartItem__details: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            gap: 10
        }
    },
    cartItem__price: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textHeading), { flexGrow: 0, flexShrink: 0, fontSize: theme.fontSizes.small })
    },
    cartItem__calories: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textBody), { flexGrow: 0, flexShrink: 0, fontSize: theme.fontSizes.small })
    },
    cartItem__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexDirection: 'row',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'space-between',
            paddingBottom: theme.spacing.padding.small,
            paddingTop: theme.spacing.padding.small
        }
    },
    cartItem__description: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textBody), { fontSize: theme.fontSizes.xxsmall, flexBasis: 480, flexGrow: 1, flexShrink: 1, maxWidth: 480 })
    },
    cartItem__quantityContainer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            backgroundColor: theme.colors.text.primary,
            borderRadius: 100,
            flexBasis: 32,
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'center',
            height: 32,
            width: 32
        }
    },
    cartItem__quantity: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textHeading), { color: theme.colors.background.primary, fontSize: theme.fontSizes.xsmall })
    },
    cartItem__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            gap: 10,
            justifyContent: 'space-between'
        }
    },
    cartItem__footerButtons: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            gap: 15,
            justifyContent: 'flex-end'
        }
    },
    cartItem__edit: {
        classes: '',
        props: { text: 'Edit' },
        style: __assign(__assign({}, styles.buttonSecondary), { fontSize: theme.fontSizes.small, paddingBottom: 8, paddingTop: 8 })
    },
    cartItem__remove: {
        classes: '',
        props: { text: 'Edit' },
        style: __assign(__assign({}, styles.buttonDelete), { fontSize: theme.fontSizes.small, paddingBottom: 8, paddingTop: 8 })
    }
};
export default cartItem;
