import { __assign } from "tslib";
import styles from '../styles';
import { theme } from '../utils';
var cartUpsells = {
    cartUpsells: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            backgroundColor: theme.colors.background.primary,
            borderColor: theme.colors.border.secondary,
            borderStyle: 'solid',
            borderBottomWidth: 0,
            borderLeftWidth: 0,
            borderRightWidth: 0,
            borderTopWidth: theme.spacing.borderWidth.medium,
            flexGrow: 0,
            flexShrink: 0,
            overflow: 'hidden',
            paddingBottom: theme.spacing.padding.large,
            paddingTop: theme.spacing.padding.large
        }
    },
    cartUpsells__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'space-between',
            paddingBottom: theme.spacing.padding.small,
            paddingLeft: theme.spacing.padding.medium,
            paddingRight: theme.spacing.padding.medium,
            textAlign: 'center'
        }
    },
    cartUpsells__title: {
        classes: '',
        props: {
            as: 'h1',
            text: 'You Might Also Like'
        },
        style: __assign(__assign({}, styles.textHeadline), { fontSize: theme.fontSizes.large })
    },
    cartUpsells__items: {
        classes: 'hide-scrollbar',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            justifyContent: 'center',
            overflow: 'scroll'
        }
    },
    cartUpsells__itemsContainer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexDirection: 'row',
            flexGrow: 1,
            flexShrink: 0,
            // gap: theme.spacing.padding.medium,
            justifyContent: 'flex-start',
            padding: theme.spacing.padding.medium
        }
    },
    cartUpsells__item: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 320,
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            paddingRight: theme.spacing.padding.medium
        }
    },
    cartUpsells__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'center',
            textAlign: 'center'
        }
    },
    cartUpsells__cancel: {
        classes: '',
        props: { text: 'Add To Order' },
        style: __assign(__assign({}, styles.buttonPrimary), { flexBasis: 400, flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    }
};
export default cartUpsells;
