import { __assign } from "tslib";
import styles from '../styles';
import { theme } from '../utils';
var checkoutConfirmation = {
    checkoutConfirmation: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            gap: theme.spacing.padding.large,
            justifyContent: 'center',
            overflow: 'hidden',
            paddingBottom: 100,
            paddingLeft: theme.spacing.padding.large,
            paddingRight: theme.spacing.padding.large,
            paddingTop: 100
        }
    },
    checkoutConfirmation__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 1,
            justifyContent: 'center',
            textAlign: 'center'
        }
    },
    checkoutConfirmation__title: {
        classes: '',
        props: {
            as: 'h1',
            text: 'Thanks For Your Order!'
        },
        style: __assign(__assign({}, styles.textHeadline), { fontSize: theme.fontSizes.xxxlarge })
    },
    checkoutConfirmation__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'center',
            overflow: 'hidden'
        }
    },
    checkoutConfirmation__form: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            gap: theme.spacing.padding.large,
            overflow: 'hidden',
            width: 800
        }
    },
    checkoutConfirmation__info: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 100,
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'flex-start',
            textAlign: 'center',
            paddingBottom: theme.spacing.padding.large
        }
    },
    checkoutConfirmation__infoTitle: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textBody), { fontSize: theme.fontSizes.xlarge })
    },
    checkoutConfirmation__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 1,
            flexDirection: 'row',
            gap: 100,
            justifyContent: 'center'
        }
    },
    checkoutConfirmation__print: {
        classes: '',
        props: { text: 'Customize' },
        style: __assign(__assign({}, styles.buttonSecondary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    },
    checkoutConfirmation__proceed: {
        classes: '',
        props: { text: 'Add To Order' },
        style: __assign(__assign({}, styles.buttonPrimary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    }
};
export default checkoutConfirmation;
