import { __assign } from "tslib";
import styles from '../styles';
import { theme } from '../utils';
var checkoutDetails = {
    checkoutDetails: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'center',
            paddingBottom: 100,
            paddingLeft: theme.spacing.padding.large,
            paddingRight: theme.spacing.padding.large,
            paddingTop: 100
        }
    },
    checkoutDetails__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 150,
            flexGrow: 0,
            flexShrink: 1,
            justifyContent: 'center',
            textAlign: 'center'
        }
    },
    checkoutDetails__title: {
        classes: '',
        props: {
            as: 'h1',
            text: 'Complete Your Order'
        },
        style: __assign(__assign({}, styles.textHeadline), { fontSize: theme.fontSizes.xxxlarge })
    },
    checkoutDetails__signIn: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            marginBottom: theme.spacing.padding.medium
        }
    },
    checkoutDetails__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'center'
        }
    },
    checkoutDetails__form: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            gap: theme.spacing.padding.large,
            width: 640
        }
    },
    checkoutDetails__guest: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            padding: theme.spacing.padding.large,
            gap: theme.spacing.padding.large
        }
    },
    checkoutDetails__guestHeader: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch'
        }
    },
    checkoutDetails__guestTitle: {
        classes: '',
        props: {
            text: 'Want to be notified?'
        },
        style: __assign(__assign({}, styles.textHeading), { fontSize: theme.fontSizes.xlarge })
    },
    checkoutDetails__guestContent: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            gap: theme.spacing.padding.large,
            justifyContent: 'space-between'
        }
    },
    checkoutDetails__prep: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            padding: theme.spacing.padding.large,
            gap: theme.spacing.padding.large
        }
    },
    checkoutDetails__prepHeader: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch'
        }
    },
    checkoutDetails__prepTitle: {
        classes: '',
        props: {
            text: 'Dine In or Take Out?'
        },
        style: __assign(__assign({}, styles.textHeading), { fontSize: theme.fontSizes.xlarge })
    },
    checkoutDetails__prepContent: {
        classes: '',
        props: {},
        style: {
            flexDirection: 'row',
            gap: theme.spacing.padding.large
        }
    },
    checkoutDetails__prepType: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            backgroundColor: theme.colors.background.secondary,
            borderRadius: theme.spacing.borderRadius.medium,
            display: 'flex',
            flexBasis: 1,
            flexDirection: 'column',
            flexGrow: 1,
            flexShrink: 1,
            gap: theme.spacing.padding.large,
            padding: theme.spacing.padding.medium
        }
    },
    checkoutDetails__prepTypeSelected: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            backgroundColor: theme.colors.accent.primary,
            borderRadius: theme.spacing.borderRadius.medium,
            display: 'flex',
            flexBasis: 1,
            flexDirection: 'column',
            flexGrow: 1,
            flexShrink: 1,
            gap: theme.spacing.padding.large,
            padding: theme.spacing.padding.medium
        }
    },
    checkoutDetails__prepTitleEatHere: {
        classes: '',
        props: {
            text: 'Dine In'
        },
        style: __assign(__assign({}, styles.textHeading), { fontSize: theme.fontSizes.large })
    },
    checkoutDetails__prepTitleTakeOut: {
        classes: '',
        props: {
            text: 'Take Out'
        },
        style: __assign(__assign({}, styles.textHeading), { fontSize: theme.fontSizes.large })
    },
    checkoutDetails__tip: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            padding: theme.spacing.padding.large,
            gap: theme.spacing.padding.large
        }
    },
    checkoutDetails__tipHeader: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch'
        }
    },
    checkoutDetails__tipTitle: {
        classes: '',
        props: {
            text: 'Tip'
        },
        style: __assign(__assign({}, styles.textHeading), { fontSize: theme.fontSizes.xlarge })
    },
    checkoutDetails__tipContent: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            gap: theme.spacing.padding.large
        }
    },
    checkoutDetails__tipButtons: {
        classes: '',
        props: {},
        style: {
            flexDirection: 'row',
            gap: theme.spacing.padding.medium,
            justifyContent: 'space-between'
        }
    },
    checkoutDetails__tipButton: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.buttonSecondary), { flexBasis: 1, flexGrow: 1, flexShrink: 1, paddingLeft: 5, paddingRight: 5, fontSize: theme.fontSizes.small })
    },
    checkoutDetails__tipButtonSelected: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.buttonPrimary), { flexBasis: 1, flexGrow: 1, flexShrink: 1, paddingLeft: 5, paddingRight: 5, fontSize: theme.fontSizes.small })
    },
    checkoutDetails__tipFooter: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch'
        }
    },
    checkoutDetails__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 1,
            flexDirection: 'row',
            gap: 100,
            justifyContent: 'center'
        }
    },
    checkoutDetails__back: {
        classes: '',
        props: { text: 'Customize' },
        style: __assign(__assign({}, styles.buttonSecondary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    },
    checkoutDetails__proceed: {
        classes: '',
        props: { text: 'Add To Order' },
        style: __assign(__assign({}, styles.buttonPrimary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    }
};
export default checkoutDetails;
