import { __assign } from "tslib";
import styles from '../styles';
import { theme } from '../utils';
var checkoutRewards = {
    checkoutRewards: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            gap: theme.spacing.padding.large,
            justifyContent: 'center',
            overflow: 'hidden',
            paddingBottom: 100,
            paddingLeft: theme.spacing.padding.large,
            paddingRight: theme.spacing.padding.large,
            paddingTop: 100
        }
    },
    checkoutRewards__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 100,
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'center',
            maxHeight: 200,
            textAlign: 'center'
        }
    },
    checkoutRewards__title: {
        classes: '',
        props: {
            as: 'h1',
            text: "You've Got Rewards!"
        },
        style: __assign(__assign({}, styles.textHeadline), { fontSize: theme.fontSizes.xxxlarge })
    },
    checkoutRewards__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'space-between',
            overflow: 'hidden'
        }
    },
    checkoutRewards__rewards: {
        classes: '',
        props: {},
        style: {
            flexDirection: 'row',
            gap: theme.spacing.padding.large
        }
    },
    checkoutRewards__form: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            gap: theme.spacing.padding.large,
            overflow: 'hidden',
            width: 800
        }
    },
    checkoutRewards__details: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 0,
            flexShrink: 0
        }
    },
    checkoutRewards__detailsContainer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 0,
            flexShrink: 0,
            padding: theme.spacing.padding.large
        }
    },
    checkoutRewards__detailsGuest: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            borderColor: theme.colors.border.primary,
            borderStyle: 'solid',
            borderBottomWidth: theme.spacing.borderWidth.medium,
            borderLeftWidth: 0,
            borderRightWidth: 0,
            borderTopWidth: 0,
            flexBasis: 'auto',
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'space-between',
            paddingBottom: theme.spacing.padding.large,
            marginBottom: theme.spacing.padding.large
        }
    },
    checkoutRewards__detailsPrep: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 'auto',
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'space-between'
        }
    },
    checkTotals__detailsText: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textHeadline), { fontSize: theme.fontSizes.xlarge })
    },
    checkoutRewards__detailsIcon: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            backgroundColor: theme.colors.accent.primary,
            borderRadius: theme.spacing.borderRadius.small,
            width: 80,
            height: 80,
            padding: 5
        }
    },
    checkoutRewards__cart: {
        classes: 'hide-scrollbar',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            flexShrink: 1,
            overflow: 'scroll',
            padding: theme.spacing.padding.medium
        }
    },
    checkoutRewards__totals: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 0,
            flexShrink: 0
        }
    },
    checkoutRewards__totalsContainer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            padding: theme.spacing.padding.large
        }
    },
    checkoutRewards__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 100,
            flexGrow: 1,
            flexShrink: 1,
            flexDirection: 'row',
            gap: 100,
            justifyContent: 'center',
            maxHeight: 200
        }
    },
    checkoutRewards__back: {
        classes: '',
        props: { text: 'Customize' },
        style: __assign(__assign({}, styles.buttonSecondary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    },
    checkoutRewards__proceed: {
        classes: '',
        props: { text: 'Add To Order' },
        style: __assign(__assign({}, styles.buttonPrimary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    }
};
export default checkoutRewards;
