import { __assign } from "tslib";
import styles from '../styles';
import { theme } from '../utils';
var checkoutUpsells = {
    checkoutUpsells: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            gap: theme.spacing.padding.large,
            justifyContent: 'center',
            overflow: 'hidden',
            paddingBottom: 100,
            paddingLeft: theme.spacing.padding.large,
            paddingRight: theme.spacing.padding.large,
            paddingTop: 100
        }
    },
    checkoutUpsells__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 1,
            justifyContent: 'center',
            textAlign: 'center'
        }
    },
    checkoutUpsells__title: {
        classes: '',
        props: {
            as: 'h1',
            text: 'May We Suggest..'
        },
        style: __assign(__assign({}, styles.textHeadline), { fontSize: theme.fontSizes.xxxlarge })
    },
    checkoutUpsells__content: {
        classes: 'hide-scrollbar',
        props: {},
        style: {
            alignItems: 'center',
            flexGrow: 1,
            justifyContent: 'center',
            overflow: 'scroll'
            // backgroundColor: 'pink'
        }
    },
    checkoutUpsells__items: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            gap: theme.spacing.padding.large,
            justifyContent: 'center',
            padding: theme.spacing.padding.large,
            width: 800
            // backgroundColor: 'palegreen'
        }
    },
    checkoutUpsells__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 1,
            flexDirection: 'row',
            gap: 100,
            justifyContent: 'center'
        }
    },
    checkoutUpsells__proceed: {
        classes: '',
        props: { text: 'Continue to Checkout' },
        style: __assign(__assign({}, styles.buttonPrimary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    }
};
export default checkoutUpsells;
