import { __assign } from "tslib";
import styles from '../styles';
import { theme } from '../utils/theme';
var menuCategory = {
    menuCategory: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: '33.33333%',
            padding: theme.spacing.padding.small
        }
    },
    menuCategory__button: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            backgroundColor: theme.colors.card.primary,
            borderRadius: theme.spacing.borderRadius.small,
            boxShadow: theme.colors.boxShadow.primary,
            display: 'flex',
            flexDirection: 'column',
            flexGrow: 1,
            overflow: 'hidden'
        }
    },
    menuCategory__image: {
        classes: '',
        props: {},
        style: {
            aspectRatio: 1.5,
            backgroundPosition: 'center',
            backgroundSize: 'cover'
        }
    },
    menuCategory__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            padding: 15,
            textAlign: 'left'
        }
    },
    menuCategory__title: {
        classes: '',
        props: {
            as: 'h2'
        },
        style: __assign(__assign({}, styles.textHeading), { fontSize: theme.fontSizes.large })
    },
    menuCategory__subtitle: {
        classes: '',
        props: {
            as: 'p'
        },
        style: __assign(__assign({}, styles.textBody), { fontSize: theme.fontSizes.xsmall, marginTop: 5 })
    }
};
export default menuCategory;
